%define realname gtk-sharp

Summary: .Net language bindings for Gtk+ and GNOME
Name: lib%realname
Version: 0.11
Release: alt1
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.sf.net/pub/sourceforge/gtk-sharp/gtk-sharp-%{version}.tar.gz
URL: http://gtk-sharp.sf.net/
Requires:libglade2, libgnomecanvas >= 2.2.0, libgnomeui >= 2.2.0

# Automatically added by buildreq on Mon Sep 29 2003
BuildRequires: ORBit2-devel XFree86-devel bzlib-devel esound-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libIDL-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libgda2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomedb-devel libgnomeui-devel libgsf-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel librsvg2-devel libxml2-devel libxslt-devel mcs mono pkgconfig zlib-devel perl-XML-LibXML perl-XML-LibXML-Common

%description
A C source parser and C# code generator to produce .Net assemblies
which bind to GObject based libraries.  The Gtk+-2.2 libraries are
included along with several GNOME platform libraries.
          
%package devel
Summary: C Source parser and C# code generator for GObject based APIs.
Group: Development/Other

%description devel
The gtk-sharp-gapi package includes the parser and code generator used by
the Gtk# project to parse and bind GObject libraries. Install gtk-sharp-gapi
if you want to bind GObject-based libraries, or need to compile a project
that uses it to bind such a library.
Requires:perl-XML-LibXML, perl-XML-LibXML-Common

%prep
%setup -n %realname-%version

%build
./configure --prefix=/usr
%make

%install
%__mkdir_p %buildroot/usr
make install DESTDIR=%buildroot
%__mkdir_p %buildroot%_libdir
%__cp -r %buildroot%_datadir/perl5 %buildroot%_libdir

%files
%defattr(0644, root, root, 0755)
%doc README COPYING ChangeLog
%{_bindir}/gconfsharp-schemagen.exe
%{_bindir}/gconfsharp-schemagen
%{_libdir}/art-sharp.dll
%{_libdir}/atk-sharp.dll
%{_libdir}/gconf-sharp.dll
%{_libdir}/gconf-sharp-peditors.dll
%{_libdir}/gdk-sharp.dll
%{_libdir}/gtk-sharp.dll
%{_libdir}/glade-sharp.dll
%{_libdir}/glib-sharp.dll
%{_libdir}/gnome-sharp.dll
%{_libdir}/pango-sharp.dll
%{_libdir}/rsvg-sharp.dll
%{_libdir}/libgtksharpglue.*
%{_libdir}/pkgconfig/gtk-sharp.pc

%files devel
%defattr(0644, root, root, 0755)
%{_datadir}/gapi/*.xml
%{_libdir}/perl5/GAPI/Metadata.pm
%{_bindir}/gapi2xml.pl
%{_bindir}/gapi.pl
%{_bindir}/gapi_pp.pl
%{_bindir}/gapi_format_xml
%{_bindir}/gapi_codegen.exe
%{_libdir}/pkgconfig/gapi.pc

%changelog
* Mon Sep 29 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.11-alt1
- new release - 0.11, based on original ximian spec 

* Wed Nov 20 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5-alt1
- Inital release for ALT

